Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zgelsy

scipy.linalg.lapack.zgelsy(a, b, jptv, cond, lwork[, overwrite_a, overwrite_b]) = <fortran function zgelsy>

  Wrapper for `zgelsy`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (m,n)
    b input rank-2 array(‘D’) with bounds (maxmn,nrhs)
    jptv input rank-1 array(‘i’) with bounds (n)
    cond input float
    lwork input int
  Returns:
    v rank-2 array(‘D’) with bounds (m,n) and a storage
    x rank-2 array(‘D’) with bounds (maxmn,nrhs) and b storage
    j rank-1 array(‘i’) with bounds (n) and jptv storage
    rank int
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0